Bug 1734849 - Volume (no multi-attach) attached multiple time to an Instance
Summary: Volume (no multi-attach) attached multiple time to an Instance
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-cinder
Version: 14.0 (Rocky)
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: z4
: 14.0 (Rocky)
Assignee: Eric Harney
QA Contact: Tzach Shefi
Chuck Copello
URL:
Whiteboard:
Depends On:
Blocks: 1705563
TreeView+ depends on / blocked
 
Reported: 2019-07-31 15:37 UTC by Eric Harney
Modified: 2019-11-06 16:50 UTC (History)
2 users (show)

Fixed In Version: openstack-cinder-13.0.5-6.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-11-06 16:49:54 UTC
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Launchpad 1833736 None None None 2019-07-31 15:38:33 UTC
OpenStack gerrit 673857 'None' MERGED Prevent double-attachment race in attachment_reserve 2020-07-13 14:49:59 UTC
Red Hat Knowledge Base (Solution) 4095341 None None None 2019-09-11 14:18:36 UTC
Red Hat Product Errata RHBA-2019:3749 None None None 2019-11-06 16:50:18 UTC

Description Eric Harney 2019-07-31 15:37:17 UTC
This bug was initially created as a copy of Bug #1705563


Description of problem:
Due to a race condition in the Cinder API, concurrent requests to attach the same non-multi-attach volume to the same instance can succeed.

Comment 1 Tzach Shefi 2019-08-06 13:08:50 UTC
Note to for self verification steps see:
https://bugzilla.redhat.com/show_bug.cgi?id=1705563#c0

Comment 4 Tzach Shefi 2019-10-02 05:08:11 UTC
Awaiting newer build, insufficient to verify:
14  -p 2019-09-06.1
openstack-cinder-13.0.5-5.el7ost.noarch < fixed-in

Comment 8 errata-xmlrpc 2019-11-06 16:49:54 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2019:3749


Note You need to log in before you can comment on or make changes to this bug.